 /*
  * Khoros: $Id: viff2pbm.h,v 1.1 1991/05/10 15:53:10 khoros Exp $
  */

 /*
  * $Log: viff2pbm.h,v $
 * Revision 1.1  1991/05/10  15:53:10  khoros
 * Initial revision
 *
  */ 

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: viff2pbm.h
 >>>>            Author: Charlie Gage and Mark Young
 >>>> Date Last Updated: Sat Mar  2 14:43:43 1991
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _viff2pbm_h_
#define _viff2pbm_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program,	/* a pointer to the program name argv[0] */
	*calloc();
int	ac;

/****************************************************************
*
*                    viff2pbm Argument Structure
*
****************************************************************/

typedef struct _viff2pbm  {

/*
 *  input viff image file (Required infile)
 */
char	*i_file;	/* input viff image file FILENAME */
int	 i_flag;	/* input viff image file FLAG */

/*
 *  output resulting pbm file definition (Required outfile)
 */
char	*o_file;	/* output resulting pbm file definition FILENAME */
int	 o_flag;	/* output resulting pbm file definition FLAG */

/*
 *  File format: ASCII(0) or RAW(1) (Optional logical)
 */
int	 r_logic;	/* File format: ASCII(0) or RAW(1) LOGIC */
int	 r_flag;  	/* File format: ASCII(0) or RAW(1) FLAG */

}  viff2pbm_struct;

viff2pbm_struct *viff2pbm;

/* -include_additions */
#include "file_formats/pbm.h"
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
