 /*
  * Khoros: $Id: vpad.h,v 1.2 1991/12/18 09:36:08 dkhoros Exp $
  */

 /*
  * $Log: vpad.h,v $
 * Revision 1.2  1991/12/18  09:36:08  dkhoros
 * HellPatch3
 *
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: vpad.h
 >>>>            Author: Jeremy Worley
 >>>> Date Last Updated: Sat Dec 14 18:20:26 1991
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _vpad_h_
#define _vpad_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    vpad Argument Structure
*
****************************************************************/

typedef struct _vpad  {

/*
 *  input data file (xviff file) (Required infile)
 */
char	*i_file;	/* input data file (xviff file) FILENAME */
int	 i_flag;	/* input data file (xviff file) FLAG */

/*
 *  resulting output file (xviff file) (Required outfile)
 */
char	*o_file;	/* resulting output file (xviff file) FILENAME */
int	 o_flag;	/* resulting output file (xviff file) FLAG */

/*
 *  number of rows in the image to be generated (Optional integer)
 */
int	 r_int; 	/* number of rows in the image to be generated INT */
int	 r_flag;	/* number of rows in the image to be generated FLAG */

/*
 *  number of columns in the image to be generated (Optional integer)
 */
int	 c_int; 	/* number of columns in the image to be generated INT */
int	 c_flag;	/* number of columns in the image to be generated FLAG */

/*
 *  row offset of image (Optional integer)
 */
int	 d_int; 	/* row offset of image INT */
int	 d_flag;	/* row offset of image FLAG */

/*
 *  column offset of image (Optional integer)
 */
int	 e_int; 	/* column offset of image INT */
int	 e_flag;	/* column offset of image FLAG */

/*
 *  real part of pad constant (Optional float)
 */
float	 j_float;	/* real part of pad constant FLOAT */
int	 j_flag;   	/* real part of pad constant FLAG */

/*
 *  imaginary part of pad constant (Optional float)
 */
float	 k_float;	/* imaginary part of pad constant FLOAT */
int	 k_flag;   	/* imaginary part of pad constant FLAG */

}  vpad_struct;

vpad_struct *vpad;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
