 /*
  * Khoros: $Id: globals.h,v 1.1 1991/05/10 15:58:12 khoros Exp $
  */

 /*
  * $Log: globals.h,v $
 * Revision 1.1  1991/05/10  15:58:12  khoros
 * Initial revision
 *
  */ 

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1990, University of New Mexico.  All rights reserved.
 * 
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *----------------------------------------------------------------------
 */

#include "unmcopyright.h"	 /* Copyright 1990 by UNM */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                       <<<<
   >>>>	    file name: globals.h                              <<<<
   >>>>                                                       <<<<
   >>>>   description: contains global defines and flags      <<<<
   >>>>                                                       <<<<
   >>>>                                                       <<<<
   >>>> modifications:					      <<<<
   >>>>                                                       <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _globals_h
#define _globals_h


Display *display;

/* global demo form - this is the form that corresponds to the gui_spec
   below
   */

xvf_form *demo_form;

/* global information on the pane and prog file being edited */

char    **gui_spec;  /* graphical user interface specification */
char    **prog_spec;  /* program specification */
char    **ex_prog_spec;  /* example program specification */

int	gui_spec_lines;
int	gui_spec_size;

/* the following are used as flags to control reading and writing of pane
   and prog files.
   */

int	valid_pane_file;
int	valid_prog_file;

/*  the following are global strings to identify the program file name,
    the pane file name and the program specification file name.
    */

char	*glob_routine_name;
char	*glob_pane_name;
char	*glob_prog_name;

/*  global 2d character array that when initailized by init_line() will
    hold templates for all of the UI Spec lines */

#define	NUMBER_OF_TYPES 30
char	*line_template[NUMBER_OF_TYPES];

/*  global 2d character array that when initailized by init_line() will
    hold instructions for editing prog_spec fields */

char	*prog_inst[MaxProgSpecSize];

/*  a line type of none selected */
#define NONE_SELECTED   -1

#endif  /* don't delete this line */
